---
title: 417 Expectation Failed
slug: Web/HTTP/Status/417
tags:
  - Client error
  - HTTP
  - HTTP Status Code
  - Reference
  - Status code
---
<div>{{HTTPSidebar}}</div>

<p>The HTTP <strong><code>417 Expectation Failed</code></strong> client error response code indicates that the expectation given in the request's {{HTTPHeader("Expect")}} header could not be met.</p>

<p>See the {{HTTPHeader("Expect")}} header for more details.</p>

<h2 id="Status">Status</h2>

<pre class="syntaxbox">417 Expectation Failed</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
  <tr>
   <td>{{RFC("7231", "417 Expectation Failed" , "6.5.14")}}</td>
   <td>Hypertext Transfer Protocol (HTTP/1.1): Semantics and Content</td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("Expect")}}</li>
</ul>
